Subject: NA-NET distribution message

From: [email-masked]
Date: Sun, 7 Jan 90 08:49:35 PST

NA Digest   Sunday, January 7, 1990   Volume 90 : Issue 01

Today's Editor: Cleve Moler

Today's Topics:

     Code Requested for Matrix Factorizations
     Public Domain QP solvers Needed 
     Rational Approximation Info Wanted
     Object-Oriented Programming for Numerical Applications
     Generating Eigenvalues in a Particular Order
     Change of Address for Stavros A. Zenios
     Conference on Hyperbolic Problems
     IMSL User Group Conferences

-------------------------------------------------------

From: John Conroy <[email-masked]>
Date: 28 Dec 89 21:56:09 GMT
Subject: Code Requested for Matrix Factorizations

Does anyone have code (Fortran or C) to compute:

1.  the C-S decompostion of an orthogonal matrix
2.  the solution of a hermitian, positive definite Toeplitz system.

I checked netlib and the best I found for 2 is a program to solve
the general complex Toeplitz case.  In addition, I could not
find any entries in netlib to perform the C-S decomposition.

------------------------------

From: Arvind Srinivasan <[email-masked]>
Date: 31 Dec 89 00:38:16 GMT
Subject: Public Domain QP solvers Needed 

Does anyone know of public domain Quadratic Programming
packages which are available through anonymous ftp
or for a nominal fee?  I am interested in solving
large-scale sparse problems.

Thanks for any info,
Arvind Srinivasan.
University of California, Berkeley

e-mail: [email-masked]
BITNET: [email-masked]
Phone : 1+415-642-4325

------------------------------

Date: 1 Jan 90 22:37:20 GMT
From: Wm Randolph Franklin <[email-masked]>
Subject: Rational Approximation Info Wanted

I  am  interested in   approximating   a  smooth   function  with  these
properties.

- The function has at most 2 extrema in the interval of interest.
- It is differentiable several times.
- It is an actual function, although w/o an explicit representation.
- The function involves inverting a parametric function, and
  substituting into another explicit function.
- I want to interpolate it at 1000 equally spaced points, and
- need the answers to only 0.001 accuracy or worse.
- The function may have complex poles near the interval.
- The application, FYI, involves functions of normals to parametric
  bicubic surfaces.

I would like to find a  rational approximation to the function.
I  would  really like  is  a cookbook  for rational approximations
saying how to  find them and when  they are valid.  Is there   any  such
thing?  If not, are there recent papers at least?

   Thanks.
   Wm. Randolph Franklin
   Rensselaer Polytechnic Institute, Troy NY
Internet: [email-masked] (or @cs.rpi.edu)    Bitnet: Wrfrankl@Rpitsmts
Telephone: (518) 276-6077;  Telex: 6716050 RPI TROU; Fax: (518) 276-6261
Paper: ECSE Dept., 6026 JEC, Rensselaer Polytechnic Inst, Troy NY, 12180

------------------------------

From: Brian Smith <[email-masked]>
Date: Thu, 4 Jan 90 13:57:51 -0700
Subject: Object-Oriented Programming for Numerical Applications

George Luger from our UNM CS department asked me if I knew of any papers on
the use of object-oriented programming techniques applied to numerical
software.  I cannot recall any but I thought that possibly a request over
na-net for George might provide him with the information.

Do you know of papers or technical reports describing the use of
object-oriented programming techniques in numerical applications?

Please send responses to  [email-masked]

Thanks.

Brian Smith
CS Dept.
Univ. of New Mexico

------------------------------

From: Farid Alizadeh <[email-masked]>
Date: 6 Jan 90 04:28:37 GMT
Subject: Generating Eigenvalues in a Particular Order

A few months ago I posted a question in na.net regarding the generation of
eigenvalues of a real, symmetric matrix with some of the entries variables, in 
such a way that the eigenvalues generated are smooth functions of variable
entries in the matrix. I received numerous responses and a couple of papers.
But none of them answered the problem satisfactorily.
Here is where the problem actually arose:
Let A(x) be a real symmetric mxm matrix and vector x  the list of variables
in the matrix. Consider the following optimization problem:

minimize f(x) + z
subject to
  l_i(x) - z >0 for i=1,...,m

where x is in R^n, l_i(x) is the i'th eigenvalue of A(x), z is a variable and 
f(x) is some  function which is at least doubly differentiable. Suppose now 
we want to use any of the well-known methods such as Lagrangian methods or 
gradient projection method to solve this problem. The trouble is that the 
success of such methods depends on differentiability of constraints, in this 
case functions l_i(x). Now, we know how to generate eigenvalues, but we do not 
know how to reorder them so that from a point x_k to a point x_k+1 the function
l_i varies smoothly. Thus we need to reorder the eigenvalues generated so 
that each l_i corresponds to a smooth function.

I still do not know how to generate the eigenvalues smoothly, however in this
particular problem I sidestep the trouble by two different methods.

The first method is to forget about Lagrangian or gradient projection 
algorithms and resort to barrier methood. In that case the order will be
unimportant because the barrier function
f(x) + z - r*[(l_1(x) - z )^(-1) + ... + (l_n(x) - z)^(-1)]
(or any other barrier function) lumps the constraints together and makes 
their order irrelevant. (Penalty methods will also work for the same reason.)

However, barrier methods are known to be slow and
result in ill-conditioned problems near the solution. This brings us to
another alternative, that is, to replaceing the constraints by an equivalent set
of constraints. Note that the constraints l_i(x) - z > 0 for i=1,...,m
are equivalent to saying that the matrix A(x) - z*I is positive semi-definite
and therefore, its leading principal minors are non-negative. So, I replace
the original problem with:
minimize f(x) + z
s.t.
    det_i [A(x) - z*I] > 0 for i=1,...,m
where det_i(A) is the determinant of the leading ixi principal submatrix of A.
In this problem the constraints and their derivatives are easily
computable. So we may use any of the well-known  optimization techniques.

I hope this will be of some use to people who requested for responses to
the problem I had posted. I would appreciate any other ideas, and I still
would like to know how to rearrange eigenvalues so that the i'th element in the
list varies smoothly as the variables in the matrix A(x) change.
					Farid Alizadeh
					Computer Science Dept.
					University of Minnesota
					Mineapolis, Mn, 55455

------------------------------

From: Stavros A. Zenios <[email-masked]>
Date: Sat, 6 Jan 90 13:01 EDT
Subject: Change of Address for Stavros A. Zenios

For the period January 1 - August 31, 1990 I will be
visiting the OR Center at the Sloan School, MIT
and Thinking Machines Corporation. Please note the change of
address:

Stavros A. Zenios
Thinking Machines Corporation
245 First Street
Cambridge, MA 02142--1214

Telephone nos.
MIT: (617) 253--3622
TMC: (617) 876--1111, ext. 2448

e-mail:
Mail sent trough NAnet or directly to
[email-masked] will reach me.

------------------------------

From: Bertil Gustafsson <BERTIL@TDB>
Date: Thu, 28 Dec 89 15:04 MET
Subject: Conference on Hyperbolic Problems

     THIRD INTERNATIONAL CONFERENCE ON HYPERBOLIC PROBLEMS

		UPPSALA, SWEDEN
		June 11-15, 1990

	Second announcement and call for papers
	
The objective of the conference is to bring together researchers with interest
in the theoretical, applied and computational aspects of hyperbolic partial
differential equations. Theory of hyperbolic partial differential equations and
in particular nonlinear problems will be discussed. Analysis and applications
of numerical methods will be an important part of the conference. Application
to different fields such as aerodynamics, meteorology, oceanography, elastic
and electromagnetic wave propagation and combustion will be considered.

This is the third in a series of conferences on hyperbolic problems. The first
was held in St. Etienne, France in 1986, the second in Aachen, Federal Republic
of Germany in 1988 and the fourth will take place in Italy 1992.

Professor Heinz-Otto Kreiss will be 60 years old during 1990. The significance
of his contributions to all research areas in hyperbolic problems is well
known. In 1965 he became the first professor in Numerical Analysis at Uppsala
University; this was the first chair in the newly formed Department of
Scientific Computing. It is therefore natural to dedicate this conference to
Professor Kreiss.

ORGANISATION: Department of Scientific Computing, Uppsala University

ORGANIZING COMMITTEE: Bjorn Engquist, Bertil Gustafsson

CONFERENCE SECRETARY: Lena Jutestahl

REGISTRATION: The registration fee 900 SEK can be paid by check issued to
"Department of Scientific Cmputing". The fee is 1200 SEK if paid after May 1,
1990.

CALL FOR PAPERS: Abstracts for presentations at the conference are invited. The
abstract should be at least one full page and at most three pages. The 
presentation is expected to be 20 minutes. The deadline for the abstracts is 
February 1, 1990. Notification of acceptance will be given by March 31. Copies
of all accepted abstracts will be distributed at the conference.

PROCEEDINGS: Conference proceedings will be published. Instructions for the
form of the submitted papers will be sent to the speakers. The papers are due
August 31, 1990.

LOCATION: The conference will be held in the Main University Building in the 
center of Uppsala. The city is located 70 km:s north of Stockholm with easy
access to the Stockholm Airport. Uppsala has old historical traditions dating
back to the Viking time. The university was founded 1477 and is among the
oldest in Europe.

ACCOMODATION: A block of hotel rooms has been reserved at discount prices for
the conference participants. The price range is 500-800 SEK per day in single
room. Double rooms are also available.

If you want to ___ attend the conference
	       ___ present a paper
	       ___ reserve a hotel room

please write to

	Lena Jutestahl
	Dept of Scientific Computing
	Uppsala University
	Sturegatan 4B
	S-75223 Uppsala
	Sweden

Fax:    018-123049; Int: +46 18123049
E-mail: "LENA at TDB.UU.SE"

------------------------------

From: Tracy Seguin <[email-masked]>
Date: 5 Jan 90 18:30:55 GMT
Subject: IMSL User Group Conferences

               IMSL USER GROUP/NORTH AMERICA CONFERENCE
                           May 9-11, 1990
                         Monterey, California

                 IMSL USER GROUP/EUROPE CONFERENCE
                          March 26-28, 1990
                           Bologna, Italy
 
The theme of this year's conferences is "Applications
of Mathematical/Statistical Libraries and Problem-Solving
Systems".
 
The IMSL User Group Europe is a not-for-profit organization,
offering a forum where professionals can exchange ideas on
applications and methodologies of mathematical and statistical
software.  The user group is composed of a diverse group of
professionals, such as data center managers, technical support
analysts, programmers, software developers, scientists,
engineers, and educators, all with a common interest in the
evolution, development, and practical application of mathematical
and statistical software. 

A new feature at this year's conference will be a series of
tutorials covering topics concerning IMSL product installation,
advanced applications, and services.  IMSL will provide these
tutorials at no charge to attendees of the conference.  Take
advantage of this unique opportunity to expand your knowledge of
IMSL software and increase your personal productivity. 

To submit a paper or for further information on attending a
conference, please contact:

IMSL User Group North America
Dennis Mar
Naval Post Graduate School
1332 Lincoln Avenue
Pacific Grove, CA 93950
e-mail:uunet!navpgs.bitnet!2001p
telephone: (408) 646-2672

IMSL User Group Europe
Dr. Marco Vaccari
ENEA
Department TIB/CALC/DATINU
Viale Ercolani, 8
I-40138 Bologna
Italy
email uunet!iboenea.bitnet!birac1
tel 39 51 498314/498173/498111
facsimile 39 51 498359/498151
telex 511578 ENEABO I

IMSL User Group Liaison
Laurie Potratz
P.O. Box 4605
Houston, Texas 77210-4605 
e-mail: uunet!imsl!lpotratz
telephone: (713) 782-6060
facsimile: (713) 782-6069

------------------------------

End of NA Digest
**************************
-------